aboutsummaryrefslogtreecommitdiff
path: root/gcc/fixinc
diff options
context:
space:
mode:
authorBrendan Conoboy <blc@cygnus.com>2001-05-18 02:02:37 +0000
committerBruce Korb <korbb@gcc.gnu.org>2001-05-18 02:02:37 +0000
commitb3eddceefef17ca298ed8e9297654096e86af190 (patch)
tree35ef70d68176eb5b7b3f54936caef90ef4a2d1f4 /gcc/fixinc
parent02db7776c71440167bee513f6f0df74a43bd8176 (diff)
downloadgcc-b3eddceefef17ca298ed8e9297654096e86af190.zip
gcc-b3eddceefef17ca298ed8e9297654096e86af190.tar.gz
gcc-b3eddceefef17ca298ed8e9297654096e86af190.tar.bz2
accept local directory for fixincl in fixincl.sh script
Co-Authored-By: Bruce Korb <bkorb@gnu.org> From-SVN: r42234
Diffstat (limited to 'gcc/fixinc')
-rwxr-xr-xgcc/fixinc/fixincl.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/gcc/fixinc/fixincl.sh b/gcc/fixinc/fixincl.sh
index fa2982f..b84d701 100755
--- a/gcc/fixinc/fixincl.sh
+++ b/gcc/fixinc/fixincl.sh
@@ -97,6 +97,13 @@ esac
ORIGDIR=`${PWDCMD}`
export ORIGDIR
FIXINCL=${ORIGDIR}/fixinc/fixincl
+if [ ! -x $FIXINCL ] ; then
+ FIXINCL=${ORIGDIR}/fixincl
+ if [ ! -x $FIXINCL ] ; then
+ echo "Cannot find working fixincl" >&2
+ exit 1
+ fi
+fi
export FIXINCL
# Make LIB absolute only if needed to avoid problems with the amd.